curl --request GET \
--url https://api.zuddl.com/v1/events/{eventId}/attendees/{registrationId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/attendees/{registrationId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zuddl.com/v1/events/{eventId}/attendees/{registrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kind": "<string>",
"url": "<string>",
"id": "d5e31ba5-2d1e-4918-bb60-dd1514b4b397",
"eventId": "d812a64f-8865-4289-9024-9a120792c3d8",
"profile": {
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"company": "Zuddl",
"designation": "Senior Software Engineer",
"bio": "Jane is a senior engineer with over 10 years of experience in cloud architecture.",
"headline": "Cloud Architecture Expert | Tech Speaker",
"industry": "Information Technology",
"country": "United States",
"phoneNumber": "+1-2125551234",
"profilePictureUrl": "https://cdn.zuddl.com/attendees/atnd_12345abcde/profile.jpg"
},
"customFieldsData": [
{
"fieldSlug": "city1",
"value": "New York City"
}
],
"disclaimers": [
{
"id": "f6b8cf1f-64e5-4801-935c-f6398bb111cd",
"slug": "termsConsent",
"text": "<p>I agree to the terms and conditions</p>",
"consentGiven": true
}
],
"socialLinks": {
"linkedin": "https://www.linkedin.com/company/zuddl",
"twitter": "https://x.com/wearezuddl",
"instagram": "https://www.instagram.com/wearezuddl",
"facebook": "https://facebook.com/zuddl",
"website": "https://www.zuddl.com"
},
"ticketDetails": {
"ticketTypeId": "f6b8cf1f-64e5-4801-935c-f6398bb111cd",
"ticketName": "VIP Pass",
"promoCode": "SPRING2025",
"addOns": [
{
"id": "67f6ccf5-4c3d-4fed-bcca-822e3c3cf25a",
"name": "Advanced Workshop",
"sessions": [
{
"id": "0b838477-24bf-46a7-a9bd-c40bfa2b2c53",
"name": "Session name"
}
]
}
]
},
"qrCodeImgUrl": "https://cdn.zuddl.com/qrcodes/atnd_12345abcde.png",
"confirmationCode": "01U6K9",
"status": "REGISTERED",
"statusUpdatedAt": "2025-04-07T09:57:55.71874Z",
"statusSource": "MANUAL_UPDATE",
"source": {
"type": "ZUDDL_API",
"referrer": "https://site.zuddl.com/landing-page",
"utmParams": {
"id": "123456",
"source": "newsletter",
"medium": "email",
"campaign": "march_promo",
"term": "newsletter",
"content": "newsletter"
},
"metadata": {
"key": "value"
}
},
"roles": [
"ATTENDEE",
"SPEAKER"
],
"unsubscribedNotificationDetails": [
{
"unsubscribeReason": "unsubscribeReasonExample",
"categoryName": "PROMOTIONAL"
}
],
"createdAt": "2025-04-07T09:57:55.826749Z",
"createdBy": "a412e3d2-e15e-4fe0-bf35-7fcfb235a4b2",
"updatedAt": "2025-04-07T09:57:56.045946Z"
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}Get attendee details
Use this endpoint to retrieve the details of a specific attendee added to a particular event type in your Zuddl organization.
Required API key scopes: READ
This API can only be called with an access key that was generated for Backend usage.
Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Unique identifier of the event
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Unique identifier of the attendee
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Response
Attendee registration retrieved successfully
Unique Identifier of the event registration for the attendee
"d5e31ba5-2d1e-4918-bb60-dd1514b4b397"
Unique identifier of the event for the attendee
"d812a64f-8865-4289-9024-9a120792c3d8"
Profile details of the attendee
Show child attributes
Show child attributes
Custom fields in the registration form
Show child attributes
Show child attributes
List of disclaimers
Show child attributes
Show child attributes
Social media links of the attendee
Show child attributes
Show child attributes
Ticket and other related details
Show child attributes
Show child attributes
URL of the attendee's QR code image
"https://cdn.zuddl.com/qrcodes/atnd_12345abcde.png"
Confirmation code for registration
"01U6K9"
Status of the attendee
PENDING, REJECTED, REGISTERED, APPROVED_NOT_REGISTERED, INCOMPLETE, ATTENDED_VIRTUALLY, ATTENDED_IN_PERSON, ATTENDED_BOTH, NO_SHOW "REGISTERED"
Timestamp when the attendee’s status was updated
"2025-04-07T09:57:55.71874Z"
Source of the attendee's status
MANUAL_UPDATE, SYSTEM_UPDATE "MANUAL_UPDATE"
Registration source details
Show child attributes
Show child attributes
Roles of this attendee
Roles of this attendee
ATTENDEE, ORGANIZER, SPEAKER, SPONSOR, MODERATOR ["ATTENDEE", "SPEAKER"]
List of unsubscribed notification categories
Show child attributes
Show child attributes
[
{
"unsubscribeReason": "unsubscribeReasonExample",
"categoryName": "PROMOTIONAL"
}
]
Creation timestamp
"2025-04-07T09:57:55.826749Z"
User ID of the creator
"a412e3d2-e15e-4fe0-bf35-7fcfb235a4b2"
Update timestamp
"2025-04-07T09:57:56.045946Z"
Was this page helpful?